$ErrorActionPreference = 'Stop'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$myVersion  = [system.String]::Join('.', $env:ChocolateyPackageVersion.Split('.')[0..2])
$url        = "https://github.com/ryanoasis/nerd-fonts/releases/download/v$env:ChocolateyPackageVersion/CascadiaCode.zip"
$myChecksum = '92B50960305C580FC90BB3BD5456E26EDC9B321907DFA2578066A9B38E2A94E0'

$packageArgs = @{
  softwareName  = 'CascadiaCode Nerd Font'
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksumType  = 'sha256'
  checksum      = $myChecksum
}

Install-ChocolateyZipPackage @packageArgs
Install-ChocolateyFont "$toolsDir\Caskaydia Cove Nerd Font Complete Mono.ttf"
Install-ChocolateyFont "$toolsDir\Caskaydia Cove Nerd Font Complete Windows Compatible.ttf"
Install-ChocolateyFont "$toolsDir\Caskaydia Cove Nerd Font Complete.ttf"
Install-ChocolateyFont "$toolsDir\Caskaydia Cove Nerd Font Complete Mono Windows Compatible.ttf"